Copyright: Copyright © 1996 Global Majic Software, Inc.
Citation: Copyright © 1996 Global Majic Software, Inc.


ASP
ASSOCIATION OF SHAREWARE PROFESSIONALS (ASP) OMBUDSMAN STATEMENT

Global Majic Software, Inc. is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with Global Majic Software, Inc. by contacting them directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products.

Please write to the ASP Ombudsman at:

545 Grover Road

Muskegon, MI 49442-9427 USA

FAX 616-788-2765

or send a CompuServe message via CompuServe Mail to:

ASP Ombudsman 70007,3536


AutoRedraw
AUTOREDRAW PROPERTY

Description

Determines whether the control is redraw manually or automatically.

Usage

[form.]control.AutoRedraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Automatic (default) - The operating system will redraw the control when it has time.

FALSE	Manual - The user is responsible for all redraw commands.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

Redraw

Data Type

Integer (Boolean)


BackColor
BACKCOLOR PROPERTY

Description

Determines the background color of the control.  It is ignored if BackPicture is set.

Usage

[form.]control.BackColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


BackPicture
BACKPICTURE PROPERTY

Description

Determines the graphic to be displayed in the background of the control.

Usage

[form.]control.BackPicture[ = picture ]

Setting

The BackPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Data Type

Picture


BarBorder
BARBORDER PROPERTY

Description

If the Orientation property is set to horizontal, than this property determines the border size along the left and right sides of the slider as shown in the figure below.  If the Orientation property is set to vertical, however, than it determines the border size along the top and bottom of the slider (see figure below).  This creates space on the control for captions,tics, etc.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.BarBorder[ = single ]

Related Properties

BarInner, BarOuter and Orientation

Data Type

Single


BarInner
BARINNER PROPERTY

BAROUTER PROPERTY

Description

If the Orientation property is set to horizontal, than these properties determine the top and bottom extents of the slider as shown in the figure below.  If the Orientation property is set to vertical, however, than they determine the left and right extents of the slider (see figure).  These properties are based on a unitless scale and typically have values between 0.0 and 1.0.

Usage

[form.]control.BarInner[ = single ]

[form.]control.BarOuter[ = single ]

Remarks

The inner value should be less than the outer value.

Related Properties

BarBorder and Orientation

Data Type

Single


BevelInner
BEVELINNER PROPERTY

BEVELOUTER PROPERTY

Description

Sets or returns the inner or outer shadow style of the control.

Usage

[form.]control.BevelInner[ = integer ]

[form.]control.BevelOuter[ = integer ]

Setting

These property settings are:

Setting	Description

0	None

1	Raised

2	Inset

Remarks

This property has no affect when BevelWidth=0.

Related Properties

BevelWidth and BorderWidth

Data Type

Integer (Enumerated)


BevelWidth
BEVELWIDTH PROPERTY

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BorderWidth

Data Type

Integer


BorderWidth
BORDERWIDTH PROPERTY

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BevelWidth

Data Type

Integer


Caption
CAPTION PROPERTY

Description

Determines the text displayed on the control for the caption currently selected by CaptionID.  The number of captions displayed is set using the Captions property.

Usage

[form.]control.Caption[ = string ]

Remarks

See the example for more information on setting caption properties.

Related Properties

CaptionColor, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

String


CaptionColor
CAPTIONCOLOR PROPERTY

Description

Determines the text color for the caption currently selected by CaptionID.

Usage

[form.]control.CaptionColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting caption properties.

Related Properties

Caption, CaptionFontID, CaptionID, Captions, CaptionX and CaptionY

Data Type

Long


CaptionFontID
CAPTIONFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the caption currently selected by CaptionID.

Usage

[form.]control.CaptionFontID[ = integer ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionID, Captions, CaptionX and CaptionY

Data Type

Integer


CaptionID
CAPTIONID PROPERTY

Description

Assigns a unique ID to each caption.  This property must be set before any other caption property (except Captions).  The total number of captions is determined by the Captions property and CaptionID has valid values from 0 to Captions-1.

Usage

[form.]control.CaptionID[ = integer ]

Remarks

The number of Captions must be set before this property can be set.  See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, Captions, CaptionX and CaptionY

Data Type

Integer


CaptionX
CAPTIONX PROPERTY

CAPTIONY PROPERTY

Description

Determines the vertical and horizontal position of the caption currently selected by the CaptionID property.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.CaptionX[ = single ]

[form.]control.CaptionY[ = single ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, CaptionID and Captions

Data Type

Single


Captions
CAPTIONS PROPERTY

Description

Determines the number of captions displayed on the control.  This property must be set before all other caption properties are entered (see example).  The CaptionID property is used to select the caption to which caption properties apply.

Usage

[form.]control.Captions[ = integer ]

Remarks

See the example for more information on setting caption properties.

Related Properties

Caption, CaptionColor, CaptionFontID, CaptionID, CaptionX and CaptionY

Data Type

Integer


Change Event
A CHANGE event is fired every time the left button is released when using the mouse to change the value of the control.


Contents

Global Majic Software, Inc.

Slider Control

Properties	Events	Product Support	Copyright

Description:

The Slider Custom Control is highly versatile and customizable, designed to allow the user to easily create any control, gauge, meter, etc. that incorporates a sliding mechanism in its functioning.  The control is equipped with properties to change the On/Off characteristics of the sliding bar, background, tic marks, and knob handle.  Properties have been included to control both direction (forward or backward) and orientation (vertical or horizontal).

Bar Properties:

The slider bar properties allow the user to manipulate the On/Off characteristics of the slider separately.  Colors or bitmaps may be used to fill the ON or OFF bar area.  Also, the orientation, width, border, and position of the bar can be controlled through properties.

Knob Properties:

There are also properties available to manipulate the knob's appearance.  Knob properties exist for scaling, offset, color, shape, and bitmap.

Tic Properties:

Tic properties were set up in an array fashion.  The user can place as many sets of tic marks on any slider control as he likes.  Each set of tic marks can be adjusted with color, increment, start and stop value, size, and placement.


Digital
DIGITAL PROPERTY

Description

Enables or disables the digital display of the Value on the control.

Usage

[form.]control.Digital[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	A digital readout of the current Value is displayed.

FALSE	No digital display.

Related Properties

DigitalColor, DigitalDecimals, DigitalFontID, DigitalX, DigitalY and Value

Data Type

Integer (Boolean)


DigitalColor
DIGITALCOLOR PROPERTY

Description

Determines the color of the digital display (if Digital=TRUE).

Usage

[form.]control.DigitalColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

Digital, DigitalDecimals, DigitalFontID, DigitalX, DigitalY and Value

Data Type

Long


DigitalDecimals
DIGITALDECIMALS PROPERTY

Description

Determines how many places (to the right of the decimal) are displayed in the digital display (if Digital=TRUE).

Usage

[form.]control.DigitalDecimals[ = integer ]

Related Properties

Digital, DigitalColor, DigitalFontID, DigitalX, DigitalY and Value

Data Type

Integer


DigitalFontID
DIGITALFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the digital display.

Usage

[form.]control.DigitalFontID[ = integer ]

Related Properties

Digital, DigitalColor, DigitalDecimals, DigitalX, DigitalY and Value

Data Type

Integer


DigitalX
DIGITALX PROPERTY

DIGITALY PROPERTY

Description

Determines the vertical and horizontal position of the digital display.  These properties are based on a unitless scale and typically have values between -1.0 and 1.0 where a value of 0.0 is located at the center of the control.

Usage

[form.]control.DigitalX[ = single ]

[form.]control.DigitalY[ = single ]

Related Properties

Digital, DigitalColor, DigitalDecimals, DigitalFontID and Value

Data Type

Single


Direction
DIRECTION PROPERTY

Description

Determines the direction of increasing values for the slider.  Depending on the Orientation property, this could be from left to right, right to left, top to bottom, or bottom to top.

Usage

[form.]control.Direction[ = integer ]

Setting

These property settings are:

Setting	Description

0	Forward

1	Backward

Remarks

The Orientation property is used to set the control's fill mode at vertical or horizontal.

Data Type

Integer (Enumerated)


Events
Events:

Change

Click

DragDrop

DragOver

GotFocus

KeyDown

KeyPress

KeyUp

LostFocus

MouseDown

MouseMove

MouseUp


Example
EXAMPLE - HOW TO BUILD A SLIDER

General Information

This example will explain the process of building a generic slider instrument.  The  final product is shown [image].  The purpose of this example is to show how several of the control's properties relate to each other.  For example, it depicts how to use the Tic properties to setup multiple tic sets (with or without labels) to obtain a desired appearance.  In general, the steps for setting up tic marks are as follows: 1) set the number of tic sets (Slider1.Tics=2); 2) set the unique id for the tic set (Slider1.TicID=0); 3) set the other tic properties (Slider1.TicColor=&H80); and 4) change TicID and repeat step 3 if desired.  This same process is used to set the properties for all the indexed items contained in the control (captions, fonts, etc.).  For simplicity, the steps for setting up this example are written out in Visual Basic script.  However, the values may also be assigned using the property list at design time.

Sample Code

'setup - general

Slider1.Orientation = 0

Slider1.Direction = 0

Slider1.BarOuter = 0.6

Slider1.KnobStyle = 2

Slider1.KnobOffset = 0.45

Slider1.KnobXScale = 0.075

Slider1.KnobYScale = 0.2

Slider1.MouseControl = True

Slider1.Value = 74.23

'setup fonts

Slider1.Fonts = 3

Slider1.FontID = 0

Slider1.FontBold = True

Slider1.FontName = "Arial"

Slider1.FontSize = 12

Slider1.FontID = 1

Slider1.FontBold = False

Slider1.FontItalic = True

Slider1.FontName = "Arial"

Slider1.FontSize = 12

Slider1.FontID = 2

Slider1.FontBold = False

Slider1.FontItalic = False

Slider1.FontName = "Arial"

Slider1.FontSize = 10

'setup tic marks

Slider1.Tics = 2

Slider1.TicID = 0

Slider1.TicColor = &H80&

Slider1.TicDelta = 10

Slider1.TicStart = 0

Slider1.TicStop = 100

Slider1.TicInner = 0.6

Slider1.TicOuter = 0.7

Slider1.TicLabelOn = True

Slider1.TicLabelPosition = 0.75

Slider1.TicFontID = 2

Slider1.TicID = 1

Slider1.TicDelta = 10

Slider1.TicStart = 5

Slider1.TicStop = 95

Slider1.TicInner = 0.6

Slider1.TicOuter = 0.65

'setup captions

Slider1.Captions = 2

Slider1.CaptionID = 0

Slider1.CaptionFontID = 0

Slider1.Caption = "Generic Slider Control"

Slider1.CaptionX = 0.5

Slider1.CaptionY = 0.1

Slider1.CaptionID = 1

Slider1.CaptionFontID = 1

Slider1.Caption = "Description"

Slider1.CaptionX = 0.5

Slider1.CaptionY = 0.9


FontDialog
FONTDIALOG PROPERTY

Description

Selecting this property (in design mode) launches the font dialog box shown below.  This dialog sets the font properties for the font currently selected by FontID.

Usage

This property can only be used at design time.  Use standard font properties to set fonts in code.

Related Properties

FontBold, FontID, FontItalic, FontName, Fonts, FontSize, FontStrike and FontUnder

Data Type

N/A


FontID
FONTID PROPERTY

Description

This property allows the control to display several different fonts by assigning a unique ID to each font.  The total number of fonts is determined by the Fonts property and FontID has valid values from 0 to Fonts-1.

Usage

[form.]control.FontID[ = integer ]

Remarks

The desired font is obtained by selecting the corresponding FontID (through the use of CaptionFontID for example).  See the example for more information on setting font properties.

Related Properties

CaptionFontID, DigitalFontID, FontBold, FontDialog, FontItalic, FontName, Fonts, FontSize, FontStrike, FontUnder and TicFontID

Data Type

Integer


Fonts
FONTS PROPERTY

Description

Determines the number of fonts displayed on the control.  This property must be set before all other font properties are entered (see example).  The FontID is used to select the font to which other font properties apply.

Usage

[form.]control.Fonts[ = integer ]

Remarks

See the example for more information on setting font properties.

Related Properties

CaptionFontID, DigitalFontID, FontBold, FontDialog, FontID, FontItalic, FontName, FontSize, FontStrike, FontUnder and TicFontID

Data Type

Integer


KnobColor
KNOBCOLOR PROPERTY

Description

Determines the color of the knob on the control.

Usage

[form.]control.KnobColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

KnobOffset, KnobPicture, KnobStyle, KnobXScale and KnobYScale

Data Type

Long


KnobOffset
KNOBOFFSET PROPERTY

Description

Determines the position of the knob on the control.

Usage

[form.]control.KnobOffset[.= single ]

Related Properties

KnobColor, KnobPicture, KnobStyle, KnobXScale and KnobYScale.

Data Type

Single


KnobPicture
KNOBPICTURE PROPERTY

Description

Allows user to place a bitmap (*.bmp) on the knob.

Usage

[form.]control.KnobPicture=[.picture ]

Remarks

This property can be set using Visual Basic's LoadPicture (or comparable) function.

Related Properties

KnobColor, KnobOffset, KnobStyle, KnobXScale and KnobYScale.

Data Type

Picture


KnobScales
KNOBXSCALE PROPERTY

KNOBYSCALE PROPERTY

Description

Determines the vertical and horizontal scale components of the knob.  This property is based on a unitless scale and typically has values from 0.0 to 1.0.

Usage

[form.]control.KnobXScale=[.single ]

[form.]control.KnobYScale=[.single ]

Remarks

 KnobColor, KnobOffset, KnobPicture and KnobStyle

Data Type

Single


KnobStyle
KNOBSTYLE PROPERTY

Description

Determines the appearance of the control's knob.

Usage

[form.]control.KnobStyle[ = integer ]

Setting

The property settings are:

Setting	Description

0	None

1	Rectangular

2	Circular

Related Properties

KnobColor, KnobOffset, KnobPicture, KnobXScale and KnobYScale.

Data Type

Integer (Enumerated)


MaxMin
MAX PROPERTY

MIN PROPERTY

Description

Determines the the operating range for the control.

Usage

[form.]control.Max[.= single ]

[form.]control.Min[.= single ]

Remarks

The Max value should be greater than the Min value.

Data Type

Single


MouseControl
MOUSECONTROL PROPERTY

Description

Enables or disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting	Description

True	Allows the control's Value to be modified with mouse input.

False	Disables mouse input to the control.

Remarks

TRUE is the default value for this property.

Data Type

Integer (Boolean)


OffColor
OFFCOLOR PROPERTY

ONCOLOR PROPERTY

Description

Determines the colors for the On and Off portions of the the control.  The perspective of these On and Off portions can be reversed using the Direction property.

Usage

[form.]control.OffColor[ = color ]

[form.]control.OnColor[ = color ]

Remarks

These properties can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

BarBorder, BarInner, BarOuter, OffPicture and OnPicture.

Data Type

Long


OffPicture
OFFPICTURE PROPERTY

ONPICTURE PROPERTY

Description

Determines the graphic to be displayed in the On and Off portions of the control.  The perspective of these On and Off portions can be reversed using the Direction property.

Usage

[form.]control.OffPicture[ = picture ]

[form.]control.OnPicture[ = picture ]

Setting

These properties settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design-time, specify the bitmap file name to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture function (or comparable function).

Remarks

When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Related Properties

 BarBorder, BarInner, BarOuter, OffColor and OnColor

Data Type

Picture


Orientation
ORIENTATION PROPERTY

Description

Determines whether the control is displayed horizontally or vertically.

Usage

[form.]control.Orientation[ = integer ]

Setting

The property settings are:

Setting	Description

0	Horizontal

1	Vertical

Remarks

The Direction property may be used to alter the fill direction of the control.

Data Type

Integer


PRODUCT SUPPORT

Product support for all products is available to registered users by contacting Global Majic Software, Inc. at any of the following locations:

CompuServe:	73261,3642

AmericaOnline:	GMagic

Internet:	gms@globalmajic.com

Snail Mail:	Global Majic Software, Inc.
P.O. Box 322
Madison, Alabama  35758

TEL/FAX:	(205) 864-0708

Home Page:	http://www.globalmajic.com

Product Support is free for a period of three (3) months from the date of registration.

If you have a shareware-related problem or dispute that you are unable to resolve with Global Majic Software, Inc., please feel free to contact the Association of Shareware Professionals.


Properties
Properties:

AutoRedraw	FontBold	OnPicture
BackColor	FontDialog	Orientation
BackPicture	FontID	Redraw
BarBorder	FontName	Shape
BarInner	Fonts	ShapeStyle
BarOuter	FontSize	Snap
BevelInner	FontStrike	SnapIncrement
BevelOuter	FontUnder	TabIndex
BevelWidth	Height	TabStop
BorderWidth	Index	Tag
Caption	KnobColor	TicColor
CaptionColor	KnobOffset	TicDelta
CaptionFontID	KnobPicture	TicFontID
CaptionID	KnobStyle	TicID
Captions	KnobXScale	TicInner
CaptionX	KnobYScale	TicLabelOn
CaptionY	Left	TicLabelPosition
Digital	Max	TicOuter
DigitalColor	Min	Tics
DigitalDecimals	MouseControl	TicStart
DigitalFontID	MousePointer	TicStop
DigitalX	Name	Top
DigitalY	OffColor	Value
Direction	OffPicture	Visible
Enabled	OnColor	Width
FontItalic


Redraw
REDRAW PROPERTY

Description

Issues a redraw command to the control if AutoRedraw=FALSE.

Usage

[form.]control.Redraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting	Description

TRUE	Issue a redraw command.

FALSE	Does not issue redraw command.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE. and issue a Redraw command after all the desired property changes are made.

Related Property

AutoRedraw

Data Type

Integer (Boolean)


Shape
SHAPE PROPERTY

Description

Determines the shape of a user defined instrument.  This property only applies when ShapeStyle is set to "User Defined" and defines a polygon made from a list of x,y coordinate pairs.  The shape is defined using a coordinate system in which (0,0) is located at the center of the control.

Usage

[form.]control.Shape[ = string ]

Example

CNTRL1.Shape = "250,0,   250,750,   500,750,   0,1000,   -500,750,   -250,750,   -250,0"

The following image displays this shape polygon defined in a coordinate system with origin at (0,0) and (1000,1000) extents.

Related Properties

ShapeStyle

Data Type

String


ShapeStyle
SHAPESTYLE PROPERTY

Description

Determines how the instrument is displayed on the control.

Usage

[form.]control.ShapeStyle[ = integer ]

Setting

The ShapeStyle property settings are:

Setting	Description

0	Rectangle

1	Ellipse

2	Thermometer

3	Tank

4	User Defined (used the Shape property)

Remarks

The BarBorder, BarInner and BarOuter properties may be used to alter the shape of all ShapeStyles except user defined.

Related Properties

Shape

Data Type

Integer (Enumerated)


Snap
SNAP PROPERTY

Description

Enables or disables the control's ability to display any value within the range defined by Min and Max.  For example, if the scale ranges from 0 to 10, Snap=TRUE and SnapIncrement=2, then Value can only have the values 0, 2, 4, 6, 8 and 10.

Usage

[form.]control.Snap[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting	Description

TRUE	Limits Value to the increments defined by SnapIncrement.

FALSE	Enables Value to have any floating point value within the range defined by the scale (default).

Related Property

SnapIncrement

Data Type

Integer (Boolean)


SnapIncrement
SNAPINCREMENT PROPERTY

Description

Determines the allowable incremental change of the Value if Snap=TRUE.  For example, a control where the scale is 0 to 10 and SnapIncrement=2 will only allow Values of 0, 2, 4, 6, 8, and 10.

Usage

[form.]control.SnapIncrement[ = integer ]

Remarks

This property is ignored if Snap=FALSE.

Related Property

Snap

Data Type

Integer


TicColor
TICCOLOR PROPERTY

Description

Determines the color for the tic set currently selected by TicID.

Usage

[form.]control.TicColor[ = color ]

Remarks

This property can be set using the Visual Basic's RGB or QBColor (or comparable) functions.  See the example for more information on setting tic properties.

Related Properties

TicDelta, TicFontID, TicID, TicInner, TicOuter, TicLabelOn, TicLabelPosition, Tics, TicStart and TicStop

Data Type

Long


TicDelta
TICDELTA PROPERTY

Description

Determines the interval value between tic marks for the tic set currently selected by TicID.

Usage

[form.]control.TicDelta[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicFontID, TicID, TicInner, TicOuter, TicLabelOn, TicLabelPosition, Tics, TicStart and TicStop

Data Type

Long


TicFontID
TICFONTID PROPERTY

Description

Determines which font (designated by FontID) is used for the labels of the tic set currently selected by TicID.

Usage

[form.]control.TicFontID[ = integer ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicID, TicInner, TicOuter, TicLabelOn, TicLabelPosition, Tics, TicStart and TicStop

Data Type

Integer


TicID
TICID PROPERTY

Description

Assigns a unique ID to each tic set.  This property must be set before any other tic property (except Tics).  The total number of tic sets is determined by the Tics property and TicID has valid values from 0 to Tics-1.

Usage

[form.]control.TicID[ = integer ]

Remarks

The number of Tics must be set before this property can be set.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicInner, TicOuter, TicLabelOn, TicLabelPosition, Tics, TicStart and TicStop

Data Type

Integer


TicInner
TICINNER PROPERTY

TICOUTER PROPERTY

Description

Determines the inner and outer position of the tic set currently selected by TicID  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicInner[ = single ]

[form.]control.TicOuter[ = single ]

Remarks

The TicOuter value should be greater than the TicInner value.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicLabelOn, TicLabelPosition, Tics, TicStart and TicStop

Data Type

Single


TicLabelOn
TICLABELON PROPERTY

Description

Enables or disables labels at each tic mark for the tic set currently selected by TicID.  The position of the tic labels is defined by the TicLabelPosition property.

Usage

[form.]control.TicLabelOn[ = {TRUE|FALSE} ]

Setting

The TicLabelOn property settings are:

Setting	Description

True	Labels are displayed

False	Labels are not displayed (default)

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicOuter, TicLabelPosition, Tics, TicStart and TicStop

Data Type

Integer (Boolean)


TicLabelPosition
TICLABELPOSITION PROPERTY

Description

Determines the position at which labels are displayed for the tic set currently selected by TicID.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.TicLabelPosition[ = single ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicOuter, TicLabelOn, Tics, TicStart and TicStop

Data Type

Single


TicStart
TICSTART PROPERTY

TICSTOP PROPERTY

Description

Determines the values at which the tic marks start and stop for the tic set currently selected by TicID.  These values should fall within the range defined by Min and Max.

Usage

[form.]control.TicStart[ = single ]

[form.]control.TicStop[ = single ]

Remarks

The TicStop value should be greater than the TicStart value.  See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicOuter, TicLabelOn, TicLabelPosition and Tics

Data Type

Single


Tics
TICS PROPERTY

Description

Determines the number of tic sets displayed on the control.  This property must be set before all other tic properties are entered (see example).  The TicID property is used to select the tic set to which the tic properties apply.

Usage

[form.]control.Tics[ = integer ]

Remarks

See the example for more information on setting tic properties.

Related Properties

TicColor, TicDelta, TicFontID, TicID, TicInner, TicOuter, TicLabelOn, TicLabelPosition, TicStart and TicStop

Data Type

Integer


Value
VALUE PROPERTY

Description

Determines the value for the control.  The Value is a number that falls between Min and Max.

Usage

[form.]control.Value[ = single ]

Remarks

The value may be altered at run time using either code or the mouse (MouseControl=TRUE).

Data Type

Single


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


font properties
FontBold, FontItalic, FontName, FontSize, FontStrike and FontUnder


UNITLESS SCALE

Description:

Properties which are used to specify position or length use a scale which is based on the size of the control (instead of twips or pixels).  For a control which is square, the coordinate system used is depicted with its origin at the center of the control and its width and height  measured from -1 to 1.

For controls which are not square, the origin is still at the center of the control.  The unit scale used, however, is based on the width or height whichever is smaller so that a unit square fits completely within the control as shown in the two controls below.

NOTE:	For some variables (i.e., radii, width, etc.), the valid range of the unitless scale is from 0 to 1 (negative values have no meaning)